GLM_GTC_matrix_access
GTC Extensions (Stable)

Defines functions to access rows or columns of a matrix easily. More...

## Functions

template<typename genType >
GLM_FUNC_DECL genType::col_type | column (genType const &m, length_t index)
| Get a specific column of a matrix. More...
template<typename genType >
GLM_FUNC_DECL genType | column (genType const &m, length_t index, typename genType::col_type const &x)
| Set a specific column to a matrix. More...
template<typename genType >
GLM_FUNC_DECL genType::row_type | row (genType const &m, length_t index)
| Get a specific row of a matrix. More...
template<typename genType >
GLM_FUNC_DECL genType | row (genType const &m, length_t index, typename genType::row_type const &x)
| Set a specific row to a matrix. More...

## Detailed Description

Defines functions to access rows or columns of a matrix easily.

<glm/gtc/matrix_access.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType::col_type glm::column | ( | genType const & | m,
|  | length_t | index
| ) |  |

Get a specific column of a matrix.

See also
  GLM_GTC_matrix_access

GLM_FUNC_DECL genType glm::column | ( | genType const & | m,
|  | length_t | index,
|  | typename genType::col_type const & | x
| ) |  |

Set a specific column to a matrix.

See also
  GLM_GTC_matrix_access

GLM_FUNC_DECL genType::row_type glm::row | ( | genType const & | m,
|  | length_t | index
| ) |  |

Get a specific row of a matrix.

See also
  GLM_GTC_matrix_access

GLM_FUNC_DECL genType glm::row | ( | genType const & | m,
|  | length_t | index,
|  | typename genType::row_type const & | x
| ) |  |

Set a specific row to a matrix.

See also
  GLM_GTC_matrix_access